Tspi_TPM_SelfTestFull(3)

TCG Software Stack Developer's Reference

NAME
Tspi_TPM_SelfTestFull - perform a self-test of each internal TPM function

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_SelfTestFull(TSS_HTPM hTPM);

DESCRIPTION

Tspi_TPM_SelfTestFull assures that the TPM is functioning as designed. For FIPS certification, crypto modules are required to test themselves before they are used, and this command is used to fulfill that requirement. This command can also be used to check the TPM whenever such a check is desired. This command is not currently implemented.

PARAMETERS

  hTPM
The hTPM parameter is used to specify the handle of the TPM object on which the self-tests will be run.

RETURN CODES

Tspi_TPM_GetStatus returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

CONFORMING TO

Tspi_TPM_SelfTestFull conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_CertifySelfTest(3), Tspi_TPM_GetTestResults(3).